Gentoo Archives: gentoo-user-de

From: Michael Schier <michael.schier@×××.de>
To: gentoo-user-de@l.g.o
Subject: Re: [gentoo-user-de] Installation texlive-2016
Date: Wed, 12 Apr 2017 18:50:56
Message-Id: 1985085.dAxMP1BL8Q@zuse
In Reply to: [gentoo-user-de] Installation texlive-2016 by Stefan Rohnke
Am Dienstag, 11. April 2017, 17:26:06 schrieb Stefan Rohnke:
> Hallo, > im Verzeichnis app-text/texlive befindet sich das ebuild vom 2015 und > 2016. > Spreche ich emerge app-text/texlive möchte er das 2015 installieren. > Wie ist die Vorgehensweise, damit das klappen kann. > Gruß > Stefan Rohnke
Hallo Stefan, die Version texlive-2016 ist noch maskiert und im "testing": https://packages.gentoo.org/packages/app-text/texlive Du kannst sie trotzdem ausprobieren, wenn Du folgende Zeile in der Datei "/etc/portage/package.accept_keywords" einfügst (ohne die Anführungszeichen): "=app-text/texlive-2016 ~amd64" Beim mir schlägt emerge allerdings für weitere 12 Pakete vor einen Eintrag in dieser Datei zu machen und ~amd64 zu ergänzen. Ob es damit dann genatn ist, kann ich nicht mit Sicherheit sagen. Unten hab eich mal die Ausgabe von emerge angehängt, wenn die erwähnte Zeile mit ~amd64 in der package.accept_keywords vorhanden ist. Trotz der genannten "blocks" würde ich denken, dass es gebaut werden würde, aber das wollte ich jetzt nicht machen. Viele Grüße Michael --- Ausgabe von emerge --- emerge --ask --verbose app-text/texlive These are the packages that would be merged, in order: Calculating dependencies... done! [ebuild U ~] app-text/dvipsk-5.996_p20160523::gentoo [5.995_p20150521::gentoo] USE="-doc -source" 34 KiB [ebuild U ~] app-text/ps2pkm-1.8_p20160523::gentoo [1.7_p20150521::gentoo] 0 KiB [ebuild U ~] dev-tex/bibtexu-3.71_p20160523::gentoo [3.71_p20150521::gentoo] USE="-doc -source" 10 KiB [ebuild U ~] app-text/texlive-core-2016-r5::gentoo [2015-r1::gentoo] USE="X luajittex -cjk -doc -source -tk -xetex" 10.306 KiB [ebuild U ~] dev-texlive/texlive-basic-2016::gentoo [2015::gentoo] USE="luajittex -doc -source" 4.723 KiB [ebuild U ~] dev-texlive/texlive-latex-2016::gentoo [2015::gentoo] USE="- doc -source" 861 KiB [ebuild U ~] dev-texlive/texlive-fontutils-2016::gentoo [2015::gentoo] USE="-doc -source" 208 KiB [ebuild U ~] dev-texlive/texlive-genericrecommended-2016::gentoo [2015::gentoo] USE="-doc -source" 223 KiB [ebuild U ~] dev-texlive/texlive-langenglish-2016::gentoo [2015::gentoo] USE="-doc -source" 69 KiB [ebuild U ~] dev-texlive/texlive-langgerman-2016::gentoo [2015::gentoo] USE="-doc -source" 365 KiB [ebuild U ~] dev-texlive/texlive-latexrecommended-2016::gentoo [2015- r1::gentoo] USE="-doc -source" 12.729 KiB [ebuild U ~] dev-texlive/texlive-fontsrecommended-2016::gentoo [2015::gentoo] USE="-doc -source" 90.668 KiB [ebuild U ~] app-text/texlive-2016::gentoo [2015::gentoo] USE="X png truetype xml -cjk -context -detex -dvi2tty -epspdf -extra -games -graphics - humanities -jadetex -luatex -metapost -music -omega -pdfannotextractor - pstricks -publishers -science -tex4ht -texi2html -xetex -xindy" L10N="de en - af -ar -as -bg -bn -br -ca -cs -cy -da -el -en-GB -eo -es -et -eu -fa -fi -fr -ga -gl -gu -he -hi -hr -hsb -hu -hy -ia -id -is -it -ja -kn -ko -la -lo -lt - lv -ml -mn -mr -nb -nl -nn -no -or -pa -pl -pt -rm -ro -ru -sa -sco -sk -sl - sq -sr -sv -ta -te -th -tk -tr -uk -vi -zh" 0 KiB [blocks B ] <dev-texlive/texlive-langgerman-2016 ("<dev-texlive/texlive- langgerman-2016" is hard blocking dev-texlive/texlive-basic-2016) [blocks B ] <dev-texlive/texlive-basic-2016 ("<dev-texlive/texlive- basic-2016" is blocking dev-texlive/texlive-langgerman-2016, dev- texlive/texlive-langenglish-2016) [blocks B ] <dev-texlive/texlive-latex-2016 ("<dev-texlive/texlive- latex-2016" is hard blocking dev-texlive/texlive-latex-2016) [blocks B ] <dev-texlive/texlive-langenglish-2016 ("<dev-texlive/texlive- langenglish-2016" is hard blocking dev-texlive/texlive-basic-2016) [blocks B ] <dev-texlive/texlive-basic-2016 ("<dev-texlive/texlive- basic-2016" is hard blocking dev-texlive/texlive-basic-2016) [blocks B ] <dev-texlive/texlive-latex-2016 ("<dev-texlive/texlive- latex-2016" is blocking dev-texlive/texlive-basic-2016) Total: 13 packages (13 upgrades), Size of downloads: 120.190 KiB Conflict: 6 blocks (6 unsatisfied) * Error: The above package list contains packages which cannot be * installed at the same time on the same system. (dev-texlive/texlive-latex-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by >=dev-texlive/texlive-latex-2016 required by (app- text/texlive-2016:0/0::gentoo, ebuild scheduled for merge) >=dev-texlive/texlive-latex-2016 required by (dev-texlive/texlive- latexrecommended-2016:0/0::gentoo, ebuild scheduled for merge) dev-texlive/texlive-latex required by (dev-tex/xcolor-2.11:0/0::gentoo, installed) dev-texlive/texlive-latex required by @selected (dev-texlive/texlive-langgerman-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by >=dev-texlive/texlive-langgerman-2016 required by (app- text/texlive-2016:0/0::gentoo, ebuild scheduled for merge) dev-texlive/texlive-langgerman required by @selected (dev-texlive/texlive-basic-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by >=dev-texlive/texlive-basic-2015 required by (dev-texlive/texlive- fontsextra-2015:0/0::gentoo, installed) >=dev-texlive/texlive-basic-2016 required by (app- text/texlive-2016:0/0::gentoo, ebuild scheduled for merge) >=dev-texlive/texlive-basic-2016 required by (dev-texlive/texlive- fontutils-2016:0/0::gentoo, ebuild scheduled for merge) >=dev-texlive/texlive-basic-2016 required by (dev-texlive/texlive- fontsrecommended-2016:0/0::gentoo, ebuild scheduled for merge) >=dev-texlive/texlive-basic-2015 required by (dev-texlive/texlive- metapost-2015:0/0::gentoo, installed) >=dev-texlive/texlive-basic-2016 required by (dev-texlive/texlive- genericrecommended-2016:0/0::gentoo, ebuild scheduled for merge) >=dev-texlive/texlive-basic-2016 required by (dev-texlive/texlive- langenglish-2016:0/0::gentoo, ebuild scheduled for merge) >=dev-texlive/texlive-basic-2016 required by (dev-texlive/texlive- latex-2016:0/0::gentoo, ebuild scheduled for merge) >=dev-texlive/texlive-basic-2016 required by (dev-texlive/texlive- langgerman-2016:0/0::gentoo, ebuild scheduled for merge) (dev-texlive/texlive-langenglish-2016:0/0::gentoo, ebuild scheduled for merge) pulled in by >=dev-texlive/texlive-langenglish-2016 required by (app- text/texlive-2016:0/0::gentoo, ebuild scheduled for merge) For more information about Blocked Packages, please refer to the following section of the Gentoo Linux x86 Handbook (architecture is irrelevant): https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages The following keyword changes are necessary to proceed: (see "package.accept_keywords" in the portage(5) man page for more details) # required by app-text/texlive-2016::gentoo[l10n_de] # required by app-text/texlive (argument) =dev-texlive/texlive-langgerman-2016 ~amd64 # required by app-text/texlive-core-2016-r5::gentoo # required by dev-texlive/texlive-basic-2016::gentoo # required by dev-texlive/texlive-genericrecommended-2016::gentoo # required by dev-texlive/texlive-fontsrecommended-2016::gentoo # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =app-text/dvipsk-5.996_p20160523 ~amd64 # required by app-text/texlive-2016::gentoo[-l10n_en-GB,l10n_en] # required by app-text/texlive (argument) =dev-texlive/texlive-langenglish-2016 ~amd64 # required by app-text/texlive-core-2016-r5::gentoo # required by dev-texlive/texlive-basic-2016::gentoo # required by dev-texlive/texlive-genericrecommended-2016::gentoo # required by dev-texlive/texlive-fontsrecommended-2016::gentoo # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =app-text/ps2pkm-1.8_p20160523 ~amd64 # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =dev-texlive/texlive-fontsrecommended-2016 ~amd64 # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =dev-texlive/texlive-fontutils-2016 ~amd64 # required by dev-texlive/texlive-langgerman-2016::gentoo # required by app-text/texlive-2016::gentoo[l10n_de] # required by app-text/texlive (argument) =app-text/texlive-core-2016-r5 ~amd64 # required by dev-texlive/texlive-latexrecommended-2016::gentoo # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =dev-texlive/texlive-latex-2016 ~amd64 # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =dev-texlive/texlive-latexrecommended-2016 ~amd64 # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =dev-texlive/texlive-genericrecommended-2016 ~amd64 # required by dev-texlive/texlive-langgerman-2016::gentoo # required by app-text/texlive-2016::gentoo[l10n_de] # required by app-text/texlive (argument) =dev-texlive/texlive-basic-2016 ~amd64 # required by app-text/texlive-core-2016-r5::gentoo # required by dev-texlive/texlive-basic-2016::gentoo # required by dev-texlive/texlive-genericrecommended-2016::gentoo # required by dev-texlive/texlive-fontsrecommended-2016::gentoo # required by app-text/texlive-2016::gentoo # required by app-text/texlive (argument) =dev-tex/bibtexu-3.71_p20160523 ~amd64 Would you like to add these changes to your config files? [Yes/No] ---- Ende --------- -- Mit Gentoo Linux gesendet

Replies

Subject Author
Re: [gentoo-user-de] Installation texlive-2016 Stefan Rohnke <stefan.rohnke@×××.de>